# -*- coding: utf-8 -*-

from django import forms
from django.utils.translation import ugettext_lazy as _

from models import Team
from userprofiles.models import UserProfile
from common.forms import RenderableMixin

class UpdateTeamForm(forms.ModelForm, RenderableMixin):
    class Meta:
        model = Team
        exclude = ('approved_date', 'approved', 'expires_date', 'name', 'lp_name', 'admin_profiles', 'owner_profile', 'active', 'override_name')

    class Media:
        css = {'all': (
                       '/media/css/colortip-1.0-jquery.css', 
                       )}
        js = (
              '/media/js/colortip-1.0-jquery.js',
              )

class LoCoCouncilForm(UpdateTeamForm, RenderableMixin):
    class Meta(UpdateTeamForm.Meta):
        model = Team
        exclude = ('approved', 'expires_date', 'name', 'lp_name', 'admin_profiles', 'owner_profile', 'active')
